Package wx :: Class InitDialogEvent

[frames | no frames]

## Type InitDialogEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    InitDialogEvent

A wx.InitDialogEvent is sent as a dialog is being initialised, or for any window when `wx.Window.InitDialog` is called. Handlers for this event can transfer data to the window, or anything else that should be done before the user begins editing the form. The default handler calls `wx.Window.TransferDataToWindow`.

# Events

> wx.EVT_INIT_DIALOG | Binder for init dialog events.

Method Summary
InitDialogEvent | ``__init__`(self, Id)` Constructor

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, Id=0)
(Constructor)

Constructor

  Parameters:
    `Id`
    (type=int)

  Returns:
    InitDialogEvent
  Overrides:
    `wx.Event.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:43 2007 | http://epydoc.sf.net